package com.yunzhi.gnyy.common;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import com.yunzhi.gnyy.config.WeixinConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class WxUtils {
    //
    private final WeixinConfig config;
    // 小程序
    private static WxMaService maService;

    @Autowired
    public WxUtils(WeixinConfig config) {
        this.config = config;

        try {
            setMaService(initMaService());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public String getAppId() {
        return this.config.getMiniapp().getAppid();
    }

    public WxMaService getMaService() throws Exception {
        if (maService == null) {
            setMaService(initMaService());
        }

        return maService;
    }

    private void setMaService(WxMaService maService) throws Exception {
        this.maService = maService;
    }

    private WxMaService initMaService() {
        WxMaDefaultConfigImpl conf = new WxMaDefaultConfigImpl();
        WeixinConfig.Miniapp miniapp = config.getMiniapp();
        conf.setAppid(miniapp.getAppid());
        conf.setSecret(miniapp.getSecret());
        conf.setToken(miniapp.getToken());
        conf.setAesKey(miniapp.getAesKey());
        conf.setMsgDataFormat("JSON");

        WxMaService service = new WxMaServiceImpl();
        service.setWxMaConfig(conf);
        return service;
    }

}
