package com.yunzhi.gnyy.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.gnyy.common.BaseController;
import com.yunzhi.gnyy.common.Constants;
import com.yunzhi.gnyy.common.ResponseBean;
import com.yunzhi.gnyy.entity.SysSetting;
import com.yunzhi.gnyy.service.ISysSettingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.yunzhi.gnyy.service.IBdsOrganizationService;
import com.yunzhi.gnyy.entity.BdsOrganization;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
    * 组织机构 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-05-06
 */

@Api(tags = "组织机构")
@RestController
@RequestMapping("/")
public class BdsOrganizationController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(BdsOrganizationController.class);

    @Autowired
    public IBdsOrganizationService iBdsOrganizationService;

    @Autowired
    public ISysSettingService iSysSettingService;


    /**
     * 分页查询列表
     * @return
     */
    @RequestMapping(value="/wx/{clientId}/bds-org",method= RequestMethod.GET)
    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean bdsOrganizationList() throws Exception{

        SysSetting setting1 = iSysSettingService.getById(Constants.SETTING_CAMPUS_CODE);
        SysSetting setting2 = iSysSettingService.getById(Constants.SETTING_CAMPUS_ROOT);

        QueryWrapper<BdsOrganization> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("PROPERTY1", setting1.getContent());
        queryWrapper.gt("ID", setting2.getContent());
        queryWrapper.orderByAsc("ID");

        List<BdsOrganization> result = iBdsOrganizationService.list(queryWrapper);
        return ResponseBean.success(result);
    }

//    /**
//     * 保存对象
//     * @param bdsOrganization 实体对象
//     * @return
//     */
//    @RequestMapping(value="/bdsOrganization",method= RequestMethod.POST)
//    @ApiOperation(value="保存", notes = "保存", httpMethod = "POST", response = ResponseBean.class)
//    public ResponseBean bdsOrganizationAdd(@ApiParam("保存内容") @RequestBody BdsOrganization bdsOrganization) throws Exception{
//
//        if (iBdsOrganizationService.save(bdsOrganization)){
//            return ResponseBean.success(bdsOrganization);
//        }else {
//            return ResponseBean.error("保存失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id删除对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/bdsOrganization/{id}", method= RequestMethod.DELETE)
//    @ApiOperation(value="删除", notes = "删除", httpMethod = "DELETE", response = ResponseBean.class)
//    public ResponseBean bdsOrganizationDelete(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        if(iBdsOrganizationService.removeById(id)){
//            return ResponseBean.success("success");
//        }else {
//            return ResponseBean.error("删除失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 修改对象
//     * @param id  实体ID
//     * @param bdsOrganization 实体对象
//     * @return
//     */
//    @RequestMapping(value="/bdsOrganization/{id}",method= RequestMethod.PUT)
//    @ApiOperation(value="更新", notes = "更新", httpMethod = "PUT", response = ResponseBean.class)
//    public ResponseBean bdsOrganizationUpdate(@ApiParam("对象ID") @PathVariable Integer id,
//                                        @ApiParam("更新内容") @RequestBody BdsOrganization bdsOrganization) throws Exception{
//
//        if (iBdsOrganizationService.updateById(bdsOrganization)){
//            return ResponseBean.success(iBdsOrganizationService.getById(id));
//        }else {
//            return ResponseBean.error("修改失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id查询对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/bdsOrganization/{id}",method= RequestMethod.GET)
//    @ApiOperation(value="详情", notes = "详情", httpMethod = "GET", response = ResponseBean.class)
//    public ResponseBean bdsOrganizationGet(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        return ResponseBean.success(iBdsOrganizationService.getById(id));
//    }
}
