package com.yunzhi.gnyy.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 组织机构
 * </p>
 *
 * @author yansen
 * @since 2022-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("BDS_ORGANIZATION")
@ApiModel(value="BdsOrganization对象", description="组织机构")
public class BdsOrganization implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "ID", type = IdType.INPUT)
    private Integer id;

    @ApiModelProperty(value = "父ID")
    @TableField("PARENT_ID")
    private Integer parentId;

    @ApiModelProperty(value = "组织名称")
    @TableField("NAME")
    private String name;

    @TableField("NAME_ALIAS")
    private String nameAlias;

    @ApiModelProperty(value = "编码")
    @TableField("CODE")
    private String code;

    @ApiModelProperty(value = "类型编码:临床,医技,护理,机关等")
    @TableField("ORGANIZATIONTYPE_CODE")
    private String organizationtypeCode;

    @ApiModelProperty(value = "门诊住院类型")
    @TableField("PAT_SERVICE_TYPE_CODE")
    private String patServiceTypeCode;

    @ApiModelProperty(value = "医务类型")
    @TableField("MEDICAL_TYPE_CODE")
    private String medicalTypeCode;

    @ApiModelProperty(value = "财务类型")
    @TableField("FINANCE_TYPE_CODE")
    private String financeTypeCode;

    @ApiModelProperty(value = "是否启用")
    @TableField("ENABLE")
    private Boolean enable;

    @ApiModelProperty(value = "地址、位置")
    @TableField("ADDRESS")
    private String address;

    @ApiModelProperty(value = "联系电话")
    @TableField("PHONE")
    private String phone;

    @ApiModelProperty(value = "拼音码")
    @TableField("PINYIN_CODE")
    private String pinyinCode;

    @ApiModelProperty(value = "五笔码")
    @TableField("WUBI_CODE")
    private String wubiCode;

    @ApiModelProperty(value = "负责人")
    @TableField("SUPERVISOR")
    private String supervisor;

    @ApiModelProperty(value = "排序")
    @TableField("SORT_NUM")
    private Integer sortNum;

    @ApiModelProperty(value = "原机构编码")
    @TableField("OLD_CODE")
    private String oldCode;

    @ApiModelProperty(value = "备注")
    @TableField("DESCN")
    private String descn;

    @ApiModelProperty(value = "院区编码")
    @TableField("PROPERTY1")
    private String property1;

    @ApiModelProperty(value = "医疗分类：1医疗执行 2医疗管理")
    @TableField("PROPERTY2")
    private String property2;

    @ApiModelProperty(value = "细分类别：0其他 1临床专科 2病区 3门诊 4医技 51药库 52药房 6手术 7护理单元 8门诊诊区 9预约小组 10教学单元")
    @TableField("PROPERTY3")
    private String property3;

    @ApiModelProperty(value = "核算单元编码")
    @TableField("PROPERTY4")
    private String property4;

    @ApiModelProperty(value = "核算单元名称")
    @TableField("PROPERTY5")
    private String property5;

    @ApiModelProperty(value = "虚拟病区、虚拟护理单元标识（1表示为虚拟，否则为空）")
    @TableField("PROPERTY6")
    private String property6;

    @ApiModelProperty(value = "会诊科室标志")
    @TableField("PROPERTY7")
    private String property7;

    @TableField("PROPERTY8")
    private String property8;

    @TableField("PROPERTY9")
    private String property9;

    @TableField("PROPERTY10")
    private String property10;

    @TableField("PROPERTY11")
    private String property11;


}
